Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#69816 - [gegl] GIMP Fails to start "GEGL operation missing"

Attached to Project: Arch Linux
Opened by Eldred Habert (ISSOtm) - Saturday, 27 February 2021, 15:46 GMT
Last edited by Antonio Rojas (arojas) - Saturday, 27 February 2021, 17:15 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan de Groot (JGC)
Christian Hesse (eworm)
Levente Polyak (anthraxx)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

## Description:

GIMP fails to start, popping up the following dialog:

```
GEGL operation missing!

GIMP requires the GEGL operation "gegl:introspect".
This operation cannot be found. Check your
GEGL install and ensure it has been compiled
with any dependencies required for GIMP.
```

No messages are printed to stdout, it then just exits with code 1.

With `--verbose`, the following is output before that dialog:

```
Parsing '/etc/gimp/2.0/gimprc' for configured language.
Parsing '/home/issotm/.config/GIMP/2.10/gimprc' for configured language.
No language property found.
INIT: gimp_load_config
Parsing '/home/issotm/.config/GIMP/2.10/unitrc'
Parsing '/etc/gimp/2.0/gimprc'
Parsing '/home/issotm/.config/GIMP/2.10/gimprc'
```

## Additional info:

* package version(s):
- gimp 2.10.22-1
- gegl 0.4.28-1
* No particular config
* No upstream bugs found

## Steps to reproduce:

- `gimp`
This task depends upon

Closed by  Antonio Rojas (arojas)
Saturday, 27 February 2021, 17:15 GMT
Reason for closing:  Fixed
Additional comments about closing:  gimp 2.10.22-2
Comment by Doug Newgard (Scimmia) - Saturday, 27 February 2021, 16:01 GMT Comment by Doug Newgard (Scimmia) - Saturday, 27 February 2021, 16:04 GMT
Verified that installing graphviz fixes it. It needs to be a dep of gegl, either required or optional. If optional, it would need to be added as required for GIMP.

Loading...